/* F.T.Liu
 * 10/09/02
 * Demo program for comp 1671.  this program acts just like
 * square_rooter3.cpp from Oct 4, but it calculates cubes instead of
 * square roots.  The point of this program is to demonstrate the use
 * of user-defined functions
 */

#include <iostream>
#include <cmath>
using namespace std;

// prototype for our user-defined function called cube, which takes a float
// variable  as a parameter and returns a float that is the cube of
// the original number
float cube(float);

int main()
{
    float number;       /* number input by user                              */
    float result;       /* cube of the user's number                         */
    char response;      /* one-character response from user - tells whether  */
                        /* or not they want to continue the program.         */
                        /* This is initialized the first time that the user  */
                        /* enters a response                                 */

    /* calculate cubes until the user declines to continue.
       Note that we continue if they input a lower-case or upper-case y.
       All other responses are taken to mean "no" */
    do
    {
        /* ask user for a number, store the number */
        cout << "Please type a number: ";
        cin >> number;

        /* calculate the cube */
        result = cube(number);

        /* output the result  */
        cout << "The cube of " << number << " is " << result << endl;

        /* find out from user whether or not they want to continue: */
        cout << "Do you want to continue? ";
        cin >> response;
    }
    while (response == 'y' || response == 'Y');
    return 0;
}

// Here is the implementation of the cube function
float cube(float input_num)
{
    float cube_of_num;

    cube_of_num = input_num*input_num*input_num;
    return cube_of_num;
}
